//
//  RNTMapManager.m
//  AwesomeProject3
//
//  Created by Macbook Pro on 27/06/2023.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>
#import <React/RCTViewManager.h>
@import TPLMaps;

@interface RNTMapManager : RCTViewManager
@end

@implementation RNTMapManager


RCT_EXPORT_MODULE(RNTMap)
-(UIView *) view
{
  
  TPLMapView * mapView = [[TPLMapView alloc] init];
  NSLog(@"KESA DYA");
  //The map view delegate
//  mapView.delegate = self;
  
  //Show user location button on map. Read documentation for more info
//  mapView.myLocationButtonEnabled = true;
//  return [[MKMapView alloc] init];
  //return mapView;
  
//  [self.view addSubview:mapView];
  
//  UIImageView *imgforLeft1=[[UIImageView alloc] initWithFrame:CGRectMake(0, 0, 25, 25)]; // Set frame as per space required around icon

  //The map view delegate
  mapView.delegate = self;

  //Show user location on map. Read documentation for more info
  mapView.showsUserLocation = true;

  //Show user location button on map. Read documentation for more info
  mapView.myLocationButtonEnabled = true;

  //Show map zoom controls
  mapView.zoomControlsEnabled = true;

  //Show compass on map
  mapView.showsCompass = true;

  //Show POI's in map
  mapView.showsPointsOfInterest = true;

  //Show Buildings on map
  mapView.showsBuildings = true;

  //Enum provide MapView theme Day | Night.
  mapView.mapTheme = DAY;

  //Wether pan gesture is enabled or disabled on map.
  mapView.scrollEnabled = true;

  //Wether tilt gesture is enabled or disabled on map.
  mapView.tiltEnabled = true;

  //Wether rotate gesture is enabled or disabled on map.
  mapView.rotateEnabled = true;

  //Whether all gestures should be enabled (default) or disabled.
  mapView.allGesturesEnabled = true;


//  TPLMapView *myObject = [[TPLMapView  alloc] init];
//  [myObject animateToZoom:(15.F)];

  
  return  mapView;
  
}


@end


